Page MenuHomePhabricator

[Polly][Isl] Stop generating isl::union_{set,map} from isl::space. NFC
ClosedPublic

Authored by patacca on Jul 15 2021, 5:28 AM.

Details

Summary

This is part of an effort to reduce the differences between the custom C++ bindings used right now by polly in lib/External/isl/include/isl/isl-noxceptions.h and the official isl C++ interface.

Changes made:

Diff Detail

Event Timeline

patacca created this revision.Jul 15 2021, 5:28 AM
patacca updated this revision to Diff 358933.Jul 15 2021, 5:30 AM

Disable clang-format on isl-noexceptions.h

patacca published this revision for review.Jul 15 2021, 5:37 AM
patacca edited the summary of this revision. (Show Details)
patacca added a reviewer: Meinersbur.
patacca added a project: Restricted Project.
Herald added a project: Restricted Project. · View Herald TranscriptJul 15 2021, 5:38 AM
bmahjour removed a subscriber: bmahjour.Jul 15 2021, 6:43 AM
Meinersbur added inline comments.Jul 15 2021, 7:15 AM
polly/lib/Analysis/DependenceInfo.cpp
645

Prefer S.getIslCtx()

polly/lib/Analysis/ScopBuilder.cpp
3369

Prefer scop->getIslCtx()

polly/lib/Analysis/ScopInfo.cpp
2317

Prefer S.getIslCtx()

Meinersbur added inline comments.Jul 15 2021, 8:05 PM
polly/lib/Exchange/JSONExporter.cpp
324
polly/lib/External/isl/include/isl/isl-noexceptions.h
8

When running ninja polly-update-format this file should have been ignored. Are you calling clang-format manually?

In any case, adding this annotation by the generator is fine.

patacca updated this revision to Diff 359556.Jul 17 2021, 5:12 AM
patacca edited the summary of this revision. (Show Details)

Prefer Scop::getIslCtx() to Scop::getContext().ctx()

patacca added inline comments.Jul 17 2021, 5:52 AM
polly/lib/External/isl/include/isl/isl-noexceptions.h
8

I added this annotation to remove the lint errors that are added automatically by the buildbot and that make harder to read the diff, but I see that the clang-tidy warnings are still present so there might be a different annotation for those (maybe //clang-tidy off?)
I've never had troubles with ninja polly-update-format in the sense that it never affected isl-noexceptions.h but in the previous revision (https://reviews.llvm.org/D105691?vs=on&id=357473) there were tons of clang-format warnings on isl-noexceptions.h generated by the buildbot so it might be using a different command than ninja polly-check-format

patacca updated this revision to Diff 359560.Jul 17 2021, 6:11 AM

Rebase to main to get rid of the unrelated failed tests

Meinersbur accepted this revision.Jul 18 2021, 8:02 PM

LGTM

polly/lib/External/isl/include/isl/isl-noexceptions.h
8

The warning is indeed by clang-tidy (clang-format does not try to open included files).

I don't know a way to switch it off locally.

This revision is now accepted and ready to land.Jul 18 2021, 8:02 PM
This revision was landed with ongoing or failed builds.Jul 19 2021, 2:25 AM
This revision was automatically updated to reflect the committed changes.